Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	open source driver for read/write access to NTFS
Name:      	ntfs-3g	
Version:   	2010.10.2
Release:   	1
Epoch:		1
BuildArch: 	i686
License: 	GNU/GPL
URL:		http://wiki.linux-ntfs.org/doku.php?id=ntfs-3g
Group:     	System/Configuration/Hardware
Source0: 	%{name}-%{version}.tgz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# workaround :
# prevent dragging in old versions of ntfs-3g itself
BuildConflicts: %{name} < %{epoch}:%{version}-%{release}

BuildRequires:  libattr-devel

#Automatically resolved build dependencies
BuildRequires: fuse-userspace-devel
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
The ntfs-3g driver is an open source, GPL licensed, third generation Linux NTFS driver. It provides full read-write access to NTFS, excluding access to encrypted files, writing compressed files, changing file ownership, access right.

Technically it's based on and a major improvement to the third generation Linux NTFS driver, ntfsmount. The improvements include functionality, quality and performance enhancements. 
 ntfs-3g features are being merged to ntfsmount. In the meanwhile, ntfs-3g is currently the only free, as in either speech or beer, NTFS driver for Linux that supports unlimited file creation and deletion.

%package 	devel
Summary:        Development files for %{name}
Group:          System/Configuration/Hardware
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description 	devel
Header files for developing applications using %{name}

%post
/sbin/ldconfig

%preun

%postun
/sbin/ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./autogen.sh
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--sysconfdir=%_sysconfdir \
--localstatedir=%_localstatedir \
--enable-shared \
--disable-static \
--with-fuse=external \
--enable-posix-acls \
--disable-ldconfig

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
ln -s mount.ntfs-3g $RPM_BUILD_ROOT/sbin/mount.ntfs

%files
%defattr(-,root,root)
/bin/lowntfs-3g
/bin/ntfs-3g
/lib/libntfs-3g.so.*
/sbin/mount.lowntfs-3g
/sbin/mount.ntfs
/sbin/mount.ntfs-3g
%{_bindir}/ntfs-3g.probe
%{_bindir}/ntfs-3g.secaudit
%{_bindir}/ntfs-3g.usermap
%{_docdir}/ntfs-3g/README
%{_mandir}/man8/mount.lowntfs-3g.8.gz
%{_mandir}/man8/mount.ntfs-3g.8.gz
%{_mandir}/man8/ntfs-3g.8.gz
%{_mandir}/man8/ntfs-3g.probe.8.gz
%{_mandir}/man8/ntfs-3g.secaudit.8.gz
%{_mandir}/man8/ntfs-3g.usermap.8.gz

%files devel
%defattr(-,root,root)
/lib/libntfs-3g.so
%{_includedir}/ntfs-3g
%{_libdir}/libntfs-3g.la
%{_libdir}/libntfs-3g.so
%{_pkgconfig}/libntfs-3g.pc


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Oct 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:2010.10.2-1
- Version update
* Mon Nov 16 2009 Christian Metzen <metzench@ccux-linux.de> 1:2009.11.14-1
- Version update
* Sun Aug 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:2009.4.4-1
- Version update
* Sun Mar 29 2009 Christian Metzen <metzench@ccux-linux.de> 1:2009.3.8-1
- Version update
* Mon Dec 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:1.5130-1
- Version update
* Fri Oct 17 2008 Christian Wasem <wasem@ccux-linux.de> 1:1.5012-1
- Version update
* Sat Sep 20 2008 Christian Wasem <wasem@ccux-linux.de> 1:1.2918-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:1.616-1
- Version update
* Tue Apr 03 2007 Christian Metzen <metzench@ccux-linux.de> 1:1.0-2
- require fixes, changelog cleanups
* Sat Mar 24 2007 Stefan Gottwald <gotti@ccux-linux.de> 1:1.0-1
- Update to stable Release
* Mon Feb 19 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.20070207-1
- Update to RC1
* Sat Oct 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 20070920-1
- Initial Release
